## gtk-layer-shell 0.1.0

=== meson_options.txt ===
option('examples', type: 'boolean', value: false, description: 'Build example applications')
option('docs', type: 'boolean', value: false, description: 'Build devhelp API documentation')

=== debian/changelog ===
gtk-layer-shell (0.1.0-3) unstable; urgency=medium

  [ Birger Schacht ]
  * debian/control:
    + Update Vcs-* URLs to point to the correct namespace.

  [ Mike Gabriel ]
  * debian/control:
    + Add D (libgtk-layer-shell-dev): libgtk-layer-shell0 (same bin:version).
    + Bump Standards-Version: to 4.5.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Feb 2020 13:02:31 +0100

gtk-layer-shell (0.1.0-2) unstable; urgency=medium

  * Source-only upload as-is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Feb 2020 00:12:07 +0100

gtk-layer-shell (0.1.0-1) unstable; urgency=medium

  [ Birger Schacht ]
  * Initial packaging. (Closes: #940570).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Jan 2020 08:13:17 +0100

=== debian/control ===
Source: gtk-layer-shell
Section: libdevel
Priority: optional
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders:
 Birger Schacht <birger@rantanplan.org>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 meson,
 pkgconf,
 libwayland-dev,
 libgtk-3-dev,
 gobject-introspection,
 libgirepository1.0-dev,
 gtk-doc-tools
Standards-Version: 4.5.0
Homepage: https://github.com/wmww/gtk-layer-shell
Vcs-Browser: https://salsa.debian.org/debian/gtk-layer-shell
Vcs-Git: https://salsa.debian.org/debian/gtk-layer-shell.git
Rules-Requires-Root: no

Package: libgtk-layer-shell-dev
Architecture: any
Depends:
 gir1.2-gtklayershell-0.1 (= ${binary:Version}),
 libgtk-layer-shell0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Wayland Layer Shell protocol desktop component library -- development files
 A library to write GTK applications that use Layer Shell. This library only
 makes sense on Wayland compositors that support Layer Shell, and will not work
 on X11. It supports all Layer Shell features including popups and popovers (GTK
 popups Just Work™). Please open issues for any bugs you come across.
 .
 This package contains the header and development files.

Package: libgtk-layer-shell0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Wayland Layer Shell protocol desktop component library
 A library to write GTK applications that use Layer Shell. This library only
 makes sense on Wayland compositors that support Layer Shell, and will not work
 on X11. It supports all Layer Shell features including popups and popovers (GTK
 popups Just Work™). Please open issues for any bugs you come across.
 .
 This package contains the shared libraries

Package: gir1.2-gtklayershell-0.1
Section: introspection
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${gir:Depends}
Description: Wayland Layer Shell protocol desktop component library -- gir bindings
 A library to write GTK applications that use Layer Shell. This library only
 makes sense on Wayland compositors that support Layer Shell, and will not work
 on X11. It supports all Layer Shell features including popups and popovers (GTK
 popups Just Work™). Please open issues for any bugs you come across.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: gtk-layer-shell-doc
Section: doc
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: documentation for the Wayland Layer Shell protocol desktop component library
 A library to write GTK applications that use Layer Shell. This library only
 makes sense on Wayland compositors that support Layer Shell, and will not work
 on X11. It supports all Layer Shell features including popups and popovers (GTK
 popups Just Work™). Please open issues for any bugs you come across.
 .
 This package contains the HTML documentation for the GTK library
 in /usr/share/gtk-doc/gtk-layer-shell/ .

Package: gtk-layer-shell-examples
Section: x11
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: example files for the Wayland Layer Shell protocol desktop component library
 A library to write GTK applications that use Layer Shell. This library only
 makes sense on Wayland compositors that support Layer Shell, and will not work
 on X11. It supports all Layer Shell features including popups and popovers (GTK
 popups Just Work™). Please open issues for any bugs you come across.
 .
 This package contains the example files and a demonstration program.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson


override_dh_auto_configure:
	dh_auto_configure -- -Ddocs=true -Dexamples=true

override_dh_auto_build:
	meson build
	ninja -C build

# show files that are not installed in any package
override_dh_install:
	if ! dh_install; then \
		tree debian/tmp; \
		exit 1; \
	fi

override_dh_missing:
	dh_missing --fail-missing

## gtk-layer-shell 0.3.0

=== debian/changelog ===
gtk-layer-shell (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_typo-fix-in-demo-program.patch. Applied upstream.
  * debian/libgtk-layer-shell0.symbols:
    + Update symbols.
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/rules:
    + Add get-orig-source target for our personal convenience.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Aug 2020 10:04:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,6 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=..

## gtk-layer-shell 0.4.0

=== debian/changelog ===
gtk-layer-shell (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/changelog:
    + Add missing entry in previous upload's changelog.
  * debian/patches:
    + Add 2001_disable-license-check-unit-test.patch. Disable check-licenses
      unit test.
  * debian/rules:
    + Enable tests.
    + Move API documentation to /usr/share/doc/<pkg>/.
  * debian/libgtk-layer-shell0.symbols:
    + Update symbols.
  * debian/gtk-layer-shell-doc.install:
    + Adapt file/symlink locations of the doc:pkg.
  * debian/gtk-layer-shell-doc.doc-base:
    + Add file.
  * debian/upstream/metadata:
    + Add upstream bug tracker information.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Oct 2020 10:52:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Ddocs=true -Dexamples=true
+	dh_auto_configure -- -Ddocs=true -Dexamples=true -Dtests=true
 
 override_dh_auto_build:
 	meson build
@@ -20,6 +20,9 @@
 
 # show files that are not installed in any package
 override_dh_install:
+	mkdir -p debian/tmp/usr/share/doc/gtk-layer-shell/
+	mv debian/tmp/usr/share/gtk-doc/html/gtk-layer-shell debian/tmp/usr/share/doc/gtk-layer-shell/html
+	ln -s ../../doc/gtk-layer-shell/html debian/tmp/usr/share/gtk-doc/html/gtk-layer-shell
 	if ! dh_install; then \
 		tree debian/tmp; \
 		exit 1; \

## gtk-layer-shell 0.5.1

=== debian/changelog ===
gtk-layer-shell (0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libgtk-layer-shell0.symbols:
    + Update symbols for 0.5.1.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Nov 2020 10:16:46 +0100

## gtk-layer-shell 0.5.2

=== meson_options.txt ===
option('examples', type: 'boolean', value: false, description: 'Build example applications')
option('docs', type: 'boolean', value: false, description: 'Build devhelp API documentation')
option('tests', type: 'boolean', value: false, description: 'Build tests')

=== debian/changelog ===
gtk-layer-shell (0.5.2-2) unstable; urgency=medium

  * debian/rules:
    + Add '--with gir' to dh command. (Closes: #991086).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Jul 2021 22:12:02 +0200

gtk-layer-shell (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Update 2001_disable-license-check-unit-test.patch.
  * debian/gtk-layer-shell-examples.examples:
    + Adapt to folder name change.
  * debian/libgtk-layer-shell0.symbols:
    + Update symbols for latest upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Dec 2020 21:46:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Birger Schacht <birger@rantanplan.org>,
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  meson,
  pkgconf,
  libwayland-dev,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --buildsystem=meson
+	dh $@ --with gir --buildsystem=meson
 
 
 override_dh_auto_configure:

## gtk-layer-shell 0.6.0

=== debian/changelog ===
gtk-layer-shell (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/rules:
    + Drop dh_auto_build override. Caused FTBFS. (Closes: #997337).
  * debian/libgtk-layer-shell0.symbols:
    + Update symbols for this upstream release.
  * debian/patches:
    + Put Forwarded: field into 2001_disable-license-check-unit-test.patch
      saying, forwarding is not required as the patch is Debian-specific.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Sep 2021 22:01:33 +0200

## gtk-layer-shell 0.7.0

=== meson_options.txt ===
option('examples', type: 'boolean', value: false, description: 'Build example applications')
option('docs', type: 'boolean', value: false, description: 'Build devhelp API documentation')
option('tests', type: 'boolean', value: false, description: 'Build tests')
option('introspection', type: 'boolean', value: true, description: 'Build gobject-introspection data')

=== debian/changelog ===
gtk-layer-shell (0.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 14 Feb 2022 07:45:22 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  gobject-introspection,
  libgirepository1.0-dev,
  gtk-doc-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/wmww/gtk-layer-shell
 Vcs-Browser: https://salsa.debian.org/debian/gtk-layer-shell
 Vcs-Git: https://salsa.debian.org/debian/gtk-layer-shell.git

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -Ddocs=true -Dexamples=true -Dtests=true
 
-override_dh_auto_build:
-	meson build
-	ninja -C build
-
 # show files that are not installed in any package
 override_dh_install:
 	mkdir -p debian/tmp/usr/share/doc/gtk-layer-shell/

## gtk-layer-shell 0.8.0

=== debian/changelog ===
gtk-layer-shell (0.8.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Oct 2023 14:51:15 -0700

gtk-layer-shell (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Add B-D: valac.
  * debian/libgtk-layer-shell-dev.install:
    + Add Vala development files to dev:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Oct 2022 20:46:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: gtk-layer-shell
 Section: libdevel
 Priority: optional
-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
-Uploaders:
- Birger Schacht <birger@rantanplan.org>,
- Mike Gabriel <sunweaver@debian.org>,
-Build-Depends:
- debhelper-compat (= 13),
- meson,
- pkgconf,
- libwayland-dev,
- libgtk-3-dev,
- gobject-introspection,
- libgirepository1.0-dev,
- gtk-doc-tools
-Standards-Version: 4.6.0
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
+Uploaders: Birger Schacht <birger@rantanplan.org>,
+           Mike Gabriel <sunweaver@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               gobject-introspection,
+               gtk-doc-tools,
+               libgirepository1.0-dev,
+               libgtk-3-dev,
+               libwayland-dev,
+               meson,
+               pkgconf,
+               valac
+Standards-Version: 4.6.1
 Homepage: https://github.com/wmww/gtk-layer-shell
 Vcs-Browser: https://salsa.debian.org/debian/gtk-layer-shell
 Vcs-Git: https://salsa.debian.org/debian/gtk-layer-shell.git
@@ -22,11 +22,10 @@
 
 Package: libgtk-layer-shell-dev
 Architecture: any
-Depends:
- gir1.2-gtklayershell-0.1 (= ${binary:Version}),
- libgtk-layer-shell0 (= ${binary:Version}),
- ${shlibs:Depends},
- ${misc:Depends}
+Depends: gir1.2-gtklayershell-0.1 (= ${binary:Version}),
+         libgtk-layer-shell0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Wayland Layer Shell protocol desktop component library -- development files
  A library to write GTK applications that use Layer Shell. This library only
  makes sense on Wayland compositors that support Layer Shell, and will not work
@@ -38,9 +37,7 @@
 Package: libgtk-layer-shell0
 Section: libs
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Wayland Layer Shell protocol desktop component library
  A library to write GTK applications that use Layer Shell. This library only
  makes sense on Wayland compositors that support Layer Shell, and will not work
@@ -52,10 +49,7 @@
 Package: gir1.2-gtklayershell-0.1
 Section: introspection
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- ${gir:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: Wayland Layer Shell protocol desktop component library -- gir bindings
  A library to write GTK applications that use Layer Shell. This library only
  makes sense on Wayland compositors that support Layer Shell, and will not work
@@ -68,9 +62,7 @@
 Package: gtk-layer-shell-doc
 Section: doc
 Architecture: all
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: documentation for the Wayland Layer Shell protocol desktop component library
  A library to write GTK applications that use Layer Shell. This library only
  makes sense on Wayland compositors that support Layer Shell, and will not work
@@ -83,9 +75,7 @@
 Package: gtk-layer-shell-examples
 Section: x11
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: example files for the Wayland Layer Shell protocol desktop component library
  A library to write GTK applications that use Layer Shell. This library only
  makes sense on Wayland compositors that support Layer Shell, and will not work

=== debian/rules ===
--- 
+++ 
@@ -27,5 +27,9 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## gtk-layer-shell 0.8.1

=== debian/changelog ===
gtk-layer-shell (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/libgtk-layer-shell0.symbols:
    + Update symbols.
  * debian/copyright:
    + Update copyright attribution for debian/ folder.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Jun 2023 14:33:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: gtk-layer-shell
 Section: libdevel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
-Uploaders: Birger Schacht <birger@rantanplan.org>,
-           Mike Gabriel <sunweaver@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               gobject-introspection,
-               gtk-doc-tools,
-               libgirepository1.0-dev,
-               libgtk-3-dev,
-               libwayland-dev,
-               meson,
-               pkgconf,
-               valac
-Standards-Version: 4.6.1
+Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
+Uploaders:
+ Birger Schacht <birger@rantanplan.org>,
+ Mike Gabriel <sunweaver@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ meson,
+ pkgconf,
+ libwayland-dev,
+ libgtk-3-dev,
+ gobject-introspection,
+ libgirepository1.0-dev,
+ gtk-doc-tools,
+ valac,
+Standards-Version: 4.6.2
 Homepage: https://github.com/wmww/gtk-layer-shell
 Vcs-Browser: https://salsa.debian.org/debian/gtk-layer-shell
 Vcs-Git: https://salsa.debian.org/debian/gtk-layer-shell.git
@@ -22,10 +23,11 @@
 
 Package: libgtk-layer-shell-dev
 Architecture: any
-Depends: gir1.2-gtklayershell-0.1 (= ${binary:Version}),
-         libgtk-layer-shell0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ gir1.2-gtklayershell-0.1 (= ${binary:Version}),
+ libgtk-layer-shell0 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Wayland Layer Shell protocol desktop component library -- development files
  A library to write GTK applications that use Layer Shell. This library only
  makes sense on Wayland compositors that support Layer Shell, and will not work
@@ -37,7 +39,9 @@
 Package: libgtk-layer-shell0
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Wayland Layer Shell protocol desktop component library
  A library to write GTK applications that use Layer Shell. This library only
  makes sense on Wayland compositors that support Layer Shell, and will not work
@@ -49,7 +53,10 @@
 Package: gir1.2-gtklayershell-0.1
 Section: introspection
 Architecture: any
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${gir:Depends}
 Description: Wayland Layer Shell protocol desktop component library -- gir bindings
  A library to write GTK applications that use Layer Shell. This library only
  makes sense on Wayland compositors that support Layer Shell, and will not work
@@ -62,7 +69,9 @@
 Package: gtk-layer-shell-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: documentation for the Wayland Layer Shell protocol desktop component library
  A library to write GTK applications that use Layer Shell. This library only
  makes sense on Wayland compositors that support Layer Shell, and will not work
@@ -75,7 +84,9 @@
 Package: gtk-layer-shell-examples
 Section: x11
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: example files for the Wayland Layer Shell protocol desktop component library
  A library to write GTK applications that use Layer Shell. This library only
  makes sense on Wayland compositors that support Layer Shell, and will not work

## gtk-layer-shell 0.8.2

=== debian/changelog ===
gtk-layer-shell (0.8.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:38:05 +0000

gtk-layer-shell (0.8.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:53:53 +0000

gtk-layer-shell (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
  * debian/libgtk-layer-shell0.symbols:
    + Update .symbols file.
  * debian/control:
    + Add gobject-introspection-bin. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 Feb 2024 21:18:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gtk-layer-shell
 Section: libdevel
 Priority: optional
-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders:
  Birger Schacht <birger@rantanplan.org>,
  Mike Gabriel <sunweaver@debian.org>,
@@ -12,6 +13,7 @@
  libwayland-dev,
  libgtk-3-dev,
  gobject-introspection,
+ gobject-introspection-bin,
  libgirepository1.0-dev,
  gtk-doc-tools,
  valac,

## gtk-layer-shell 0.9.0

=== debian/changelog ===
gtk-layer-shell (0.9.0-2) unstable; urgency=medium

  * d/control: Mark -doc package as M-A: foreign
  * d/control: Version GTK3 dependency as it only works 
    with a specific major GTK3 release (Closes: #1094772)

 -- Matthias Geiger <werdahias@debian.org>  Fri, 31 Jan 2025 15:19:05 +0100

gtk-layer-shell (0.9.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1079292, #1094442)
  * d/control: Add myself to Uploaders
  * Update symbols file for new upstream. 
    Upstream dropped some symbols without explanation; 
    those aren't used in any of the rdeps though
  * d/control: Update S-V to 4.7.0, no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Wed, 29 Jan 2025 15:54:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: gtk-layer-shell
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
+Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders:
  Birger Schacht <birger@rantanplan.org>,
  Mike Gabriel <sunweaver@debian.org>,
+ Matthias Geiger <werdahias@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  meson,
  pkgconf,
  libwayland-dev,
- libgtk-3-dev,
+ libgtk-3-dev (>= 3.24.48),
  gobject-introspection,
- gobject-introspection-bin,
  libgirepository1.0-dev,
  gtk-doc-tools,
  valac,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/wmww/gtk-layer-shell
 Vcs-Browser: https://salsa.debian.org/debian/gtk-layer-shell
 Vcs-Git: https://salsa.debian.org/debian/gtk-layer-shell.git
@@ -71,6 +70,7 @@
 Package: gtk-layer-shell-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},

## gtk-layer-shell 0.9.1

=== debian/changelog ===
gtk-layer-shell (0.9.1-1) experimental; urgency=medium

  * New upstream version 0.9.1
  * d/control: Bump S-V to 4.7.2, no changes needed
  * d/control: Mark libgtk-layer-shell0 M-A: same
  * d/gbp.conf: Add upstream branch, postimport cmd
  * d/salsa-ci.yml: Add

 -- Matthias Geiger <werdahias@debian.org>  Sun, 27 Apr 2025 14:44:55 +0200

## gtk-layer-shell 0.9.2

=== debian/changelog ===
gtk-layer-shell (0.9.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Thu, 14 Aug 2025 21:36:59 +0200

gtk-layer-shell (0.9.2-1) experimental; urgency=medium

  * New upstream release
  * d/libgtk-layer-shell0.symbols: Update.
    Upstream dropped some symbols without explanation;
    those aren't used in any of the rdeps though
  * d/rules: Stop using DH_VERBOSE

 -- Matthias Geiger <werdahias@debian.org>  Sat, 02 Aug 2025 17:25:21 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libgirepository1.0-dev,
  gtk-doc-tools,
  valac,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/wmww/gtk-layer-shell
 Vcs-Browser: https://salsa.debian.org/debian/gtk-layer-shell
 Vcs-Git: https://salsa.debian.org/debian/gtk-layer-shell.git
@@ -40,6 +40,7 @@
 Package: libgtk-layer-shell0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gtk-layer-shell-$1\.tar\.gz/ \
  https://github.com/wmww/gtk-layer-shell/tags .*/v?(\d\S+)\.tar\.gz

## gtk-layer-shell 0.10.0

=== meson_options.txt ===
--- 
+++ 
@@ -2,3 +2,4 @@
 option('docs', type: 'boolean', value: false, description: 'Build devhelp API documentation')
 option('tests', type: 'boolean', value: false, description: 'Build tests')
 option('introspection', type: 'boolean', value: true, description: 'Build gobject-introspection data')
+option('vapi', type: 'boolean', value: true, description: 'Generate vapi data (needs vapigen & introspection option)')

=== debian/changelog ===
gtk-layer-shell (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * d/libgtk-layer-shell0.symbols: Update for new upstream release
  * d/control: Switch to correct GIR dependencies (Closes: #1118840)
  * d/copyright: Drop old FSF postal address; replace with webpage
  * d/copyright: Update
  * d/control: Drop Rules-Require-Root field
  * d/watch: Switch to v5

 -- Matthias Geiger <werdahias@debian.org>  Sun, 02 Nov 2025 01:06:06 +0100

=== debian/control ===
--- 
+++ 
@@ -12,23 +12,23 @@
  pkgconf,
  libwayland-dev,
  libgtk-3-dev (>= 3.24.48),
- gobject-introspection,
- libgirepository1.0-dev,
+ gobject-introspection (>= 1.80),
+ gir1.2-gtk-3.0-dev,
  gtk-doc-tools,
  valac,
 Standards-Version: 4.7.2
 Homepage: https://github.com/wmww/gtk-layer-shell
 Vcs-Browser: https://salsa.debian.org/debian/gtk-layer-shell
 Vcs-Git: https://salsa.debian.org/debian/gtk-layer-shell.git
-Rules-Requires-Root: no
 
 Package: libgtk-layer-shell-dev
 Architecture: any
 Depends:
- gir1.2-gtklayershell-0.1 (= ${binary:Version}),
  libgtk-layer-shell0 (= ${binary:Version}),
  ${shlibs:Depends},
- ${misc:Depends}
+ ${misc:Depends},
+ ${gir:Depends},
+Provides: ${gir:Provides}
 Description: Wayland Layer Shell protocol desktop component library -- development files
  A library to write GTK applications that use Layer Shell. This library only
  makes sense on Wayland compositors that support Layer Shell, and will not work
@@ -56,7 +56,6 @@
 Section: introspection
 Architecture: any
 Depends:
- ${shlibs:Depends},
  ${misc:Depends},
  ${gir:Depends}
 Description: Wayland Layer Shell protocol desktop component library -- gir bindings

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DH_VERBOSE=1
-export DH_OPTIONS=-v
 
 include /usr/share/dpkg/pkg-info.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -27,9 +25,5 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
Version: 5

Source: https://github.com/wmww/gtk-layer-shell/tags
Matching-Pattern: .*/v?(\d\S+)\.tar\.gz
Filenamemangle: s/.+\/v?(\d\S+)\.tar\.gz/gtk-layer-shell-$1\.tar\.gz/
